org.fife.ui.rsyntaxtextarea

## Class ActiveLineRangeEvent

- java.lang.Object
- - java.util.EventObject
  - - org.fife.ui.rsyntaxtextarea.ActiveLineRangeEvent

All Implemented Interfaces:
  Serializable

    public class ActiveLineRangeEvent
    extends EventObject

The event fired by `RSyntaxTextArea`s when the active line range changes.

Version:
  1.0
Author:
  Robert Futrell
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class java.util.EventObject

`source`

### Constructor Summary

Constructors
Constructor and Description
`ActiveLineRangeEvent(RSyntaxTextArea source, int min, int max)` Constructor.

### Method Summary

Methods
`int` `getMax()` Returns the last line in the active line range.
`int` `getMin()` Returns the first line in the active line range.

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ActiveLineRangeEvent

    public ActiveLineRangeEvent(RSyntaxTextArea source,
                        int min,
                        int max)

Constructor.

Parameters:
  `source` - The text area.
  `min` - The first line in the active line range, or `-1` if the line range is being cleared.
  `max` - The last line in the active line range, or `-1` if the line range is being cleared.

### Method Detail

#### getMax

    public int getMax()

Returns the last line in the active line range.

Returns:
  The last line, or `-1` if the range is being cleared.
See Also:
  `getMin()`

#### getMin

    public int getMin()

Returns the first line in the active line range.

Returns:
  The first line, or `-1` if the range is being cleared.
See Also:
  `getMax()`